Bug 815333 - Fedora 17 can not boot from iscsi target
Fedora 17 can not boot from iscsi target
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
17
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: dracut-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-23 08:00 EDT by Adhidarma Hadiwinoto
Modified: 2013-05-29 09:50 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-29 09:50:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adhidarma Hadiwinoto 2012-04-23 08:00:10 EDT
Description of problem:
Fedora 17 can not boot if it installed to an iSCSI target.

Version-Release number of selected component (if applicable):
N/A

How reproducible:
Always


Steps to Reproduce:
1. Install Fedora 17 (Beta at this moment) to an iSCSI target
2. Boot it from installed iSCSI target
  
Actual results:
System install succesfully, but failed on boot. Stuck in the middle of Dracut steps. Replying "Connection time out".

Expected results:
System boot successful.

Additional info:
If I try to ping from other host, it is unreachable.
Comment 1 Harald Hoyer 2012-07-03 04:17:43 EDT
Is this still an issue?
Comment 2 Tim T. 2012-07-23 10:43:05 EDT
(In reply to comment #1)
> Is this still an issue?

Seems to be. I just grabbed a fresh spin of Fedora x86 and booted it up:

1st attempt:
iSCSI disk option greyed out

2nd attempt:
Chose "Live Desktop" option opposed to install option, opened a terminal and manually installed "iscsi-initiator-utils" package, then started the installer. This time the installer shows allows an iSCSI target (and found it automatically) to be chosen for install, and partitions and formats it correctly. Install finishes without a hiccup, but on reboot booting from the iscsi disk:


Cannot open font file True

dracut Warning: Unable to process initqueue
dracut Warning: /dev/disk/by-uuid/{UUID} does not exist

Dropping to debug shell

dracut:/#
Comment 3 Harald Hoyer 2012-07-24 05:58:58 EDT
What is the kernel command line of this boot entry?
Can you check if dracut-network was installed on the iscsi root?
Can you show me the size of the initramfs/initrd, which was used?
Comment 4 Tim T. 2012-07-25 13:16:42 EDT
(In reply to comment #3)
> What is the kernel command line of this boot entry?
> Can you check if dracut-network was installed on the iscsi root?
> Can you show me the size of the initramfs/initrd, which was used?

Kernel command: "iscsi_firmware rd.lvm=0 rd.dm=0 SYSFONT=True ifname=eth0:00:0c:29:00:35:65  KEYTABLE=us ip=eth0:dhcp rd.md=0 rd.luks=0 LANG=en_US.UTF-8 rhgb quiet"

Seems that dracut-network is -NOT- installed

16 MB: 16M     /boot/initramfs-3.3.4-5.fc17.i686.img

Will installing dracut-network fix the issue?

Let me know if more details are needed.
Comment 5 Harald Hoyer 2012-07-26 02:58:50 EDT
(In reply to comment #4)
> (In reply to comment #3)
> > What is the kernel command line of this boot entry?
> > Can you check if dracut-network was installed on the iscsi root?
> > Can you show me the size of the initramfs/initrd, which was used?
> 
> Kernel command: "iscsi_firmware rd.lvm=0 rd.dm=0 SYSFONT=True
> ifname=eth0:00:0c:29:00:35:65  KEYTABLE=us ip=eth0:dhcp rd.md=0 rd.luks=0
> LANG=en_US.UTF-8 rhgb quiet"

Better do "ifname=myeth0:00:0c:29:00:35:65 ip=myeth0:dhcp" to avoid naming clashes and races with the kernel namespace.

> 
> Seems that dracut-network is -NOT- installed
> 
> 16 MB: 16M     /boot/initramfs-3.3.4-5.fc17.i686.img
> 
> Will installing dracut-network fix the issue?

yes, it would. If you do it manually after the kernel installation, you have to recreate the initramfs.

> 
> Let me know if more details are needed.
Comment 6 Harald Hoyer 2012-09-27 06:11:42 EDT
any success?

Note You need to log in before you can comment on or make changes to this bug.